# -*- coding: utf-8 -*-

# Copyright 2016 Mir Calculate. http://www.calculate-linux.org
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

import sys
from calculate.lib.datavars import ActionVariable

from calculate.lib.cl_lang import setLocalTranslate

setLocalTranslate('cl_ldap3', sys.modules[__name__])


class Actions(object):
    Setup = "server_setup"
    Backup = "server_backup"
    Ldif = "server_ldif"

    All = (Setup, Backup, Ldif)


class VariableAcServerSetup(ActionVariable):
    """
    Действие настройки сервиса
    """

    def action(self, cl_action):
        if cl_action == Actions.Setup:
            return "on"
        return "off"


class VariableAcServerLdif(ActionVariable):
    """
    Действие для выполнения шаблонов ldif
    """

    def action(self, cl_action):
        if cl_action == Actions.Ldif:
            return "on"
        return "off"

